%define upstream_name    Test-Run-Plugin-ColorFileVerdicts
%define upstream_version 0.0125

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.12.100
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.12.200
BuildRequires: perl(Test::Run::Trap::Obj)
BuildArch:  noarch

%description
For internal use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 23 2020 tv <tv> 0.12.500-1.mga8
+ Revision: 1638740
- update to 0.0125

* Wed Feb 12 2020 umeabot <umeabot> 0.12.400-5.mga8
+ Revision: 1497503
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.12.400-4.mga7
+ Revision: 1272003
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.12.400-3.mga6
+ Revision: 1034636
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.12.400-2.mga6
+ Revision: 966334
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.12.400-1.mga6
+ Revision: 843670
- update to 0.0124

* Wed Oct 15 2014 umeabot <umeabot> 0.12.300-3.mga5
+ Revision: 746643
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.300-2.mga5
+ Revision: 686539
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.12.300-1.mga5
+ Revision: 588725
- update to 0.0123

* Fri Oct 18 2013 umeabot <umeabot> 0.12.200-3.mga4
+ Revision: 515361
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.200-2.mga3
+ Revision: 373775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.12.200-1.mga3
+ Revision: 277586
- imported package perl-Test-Run-Plugin-ColorFileVerdicts

